/*
Theme Name:     Oregon Fly Fishing Blog
Theme URI:      
Description:    Twentyten child theme.
Author:         Sterner Stuff
Author URI:     https://sternerstuff.dev
Template:       twentyten
Version:        0.1.0
*/

@font-face {
	font-family: 'Open Sans';
	src: url(./assets/fonts/OpenSans-VariableFont_wdth,wght.ttf) format('truetype');
	font-weight:100 900;
}

@font-face {
	font-family: 'Open Sans';
	font-style:italic;
	src: url(./assets/fonts/OpenSans-Italic-VariableFont_wdth,wght.ttf) format('truetype');
	font-weight:100 900;
}

:root {
	--color-primary: #143856;
	--color-secondary:#eb5513;
}

a:link {
	color:var(--color-primary);
}

body,
input,
textarea,
.page-title span,
.pingback a.url
h3#comments-title,
h3#reply-title,
#access .menu,
#access div.menu ul,
#cancel-comment-reply-link,
.form-allowed-tags,
#site-info,
#site-title,
#wp-calendar,
.calendar_wrap,
.comment-meta,
.comment-body tr th,
.comment-body thead th,
.entry-content label,
.entry-content tr th,
.entry-content thead th,
.entry-meta,
.entry-title,
.entry-utility,
#respond label,
.navigation,
.page-title,
.pingback p,
.reply,
.widget-title,
.wp-caption-text {
	font-family:'Open Sans', sans-serif;
}

h3#comments-title,
h3#reply-title,
#cancel-comment-reply-link,
.form-allowed-tags,
#site-info,
#site-title,
#wp-calendar,
.calendar_wrap,
.comment-meta,
.comment-body tr th,
.comment-body thead th,
.entry-content label,
.entry-content tr th,
.entry-content thead th,
.entry-meta,
.entry-title,
.entry-utility,
#respond label,
.navigation,
.page-title,
.pingback p,
.reply,
.widget-title,
.wp-caption-text {
	font-weight:700;
	text-transform:uppercase;
}

#access ul ul a {
	line-height:1.4;
}

#site-title,
#site-description {
	float:none;
}

#branding {
	display:flex;
	flex-wrap:wrap;
	justify-content:space-between;
}

.header__left {
	max-width:700px;
}

.header__right {
	margin: 0 0 18px 0;
	width: 220px;
}

#branding img.custom-logo {
	border:none;
	max-width:100%;
	height:auto;
}

#access {
	background:var(--color-primary);
}

#access a {
	color:white;
}

#access li:hover > a, 
#access ul ul :hover > a {
	background:var(--color-secondary);
}